Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.wfs
Class CascadingWFSAnnotationDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.framework.xml.schema.XSDocument
              org.deegree.model.feature.schema.GMLSchemaDocument
                  org.deegree.io.datastore.schema.MappedGMLSchemaDocument
                      org.deegree.io.datastore.AnnotationDocument
                          org.deegree.io.datastore.wfs.CascadingWFSAnnotationDocument

All Implemented Interfaces:
  Serializable

    public class CascadingWFSAnnotationDocument

extends AnnotationDocument

Handles the annotation parsing for datastores that cascade remote WFS.

Version:
  $Revision:$, $Date:$
Author:
  Markus Schneider , last edited by: $Author:$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`CascadingWFSAnnotationDocument()`

Method Summary
`CascadingWFSDatastoreConfiguration` | `parseDatastoreConfiguration()` Parses the global schema annotations into a `DatastoreConfiguration`.

Methods inherited from class org.deegree.io.datastore.schema.MappedGMLSchemaDocument
`parseComplexTypeDeclaration, parseDefaultSRS, parseElementDeclaration, parseGMLDefaultProps, parseIdentityPart, parseIsDeletable, parseIsInsertable, parseIsPseudoFeatureType, parseIsUpdatable, parseMappedGMLSchema, parseOtherSRS, parseVisible`

Methods inherited from class org.deegree.model.feature.schema.GMLSchemaDocument
`parseGMLSchema`

Methods inherited from class org.deegree.framework.xml.schema.XSDocument
`extractComplexTypeDeclarations, extractElementDeclarations, extractSimpleTypeDeclarations, getComplexTypeDeclaration, getFullName, getTargetNamespace, parseSimpleTypeDeclaration, parseXMLSchema`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadingWFSAnnotationDocument

    public CascadingWFSAnnotationDocument()

Method Detail

### parseDatastoreConfiguration

    public CascadingWFSDatastoreConfiguration parseDatastoreConfiguration()
                                                                   throws XMLParsingException

  Description copied from class: `AnnotationDocument`
  Parses the global schema annotations into a `DatastoreConfiguration`.

  Specified by:
    `parseDatastoreConfiguration` in class `AnnotationDocument`
  Returns:
    corresponding DatastoreConfiguration
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org